unit uPresupuestosClienteViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorPresupuestosCliente, uEditorPresupuestoCliente, uEditorElegirPresupuestosCliente,
  uEditorElegirArticulosPresupuestoCliente, uEditorPresupuestosClienteReport, uEditorVariarPrecios,
  uDialogListaPresupuestosEnvioEMail;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorPresupuestosCliente, 'EditorPresupuestosCliente');
  EditorRegistry.RegisterClass(TfEditorPresupuestoCliente, 'EditorPresupuestoCliente');
  EditorRegistry.RegisterClass(TfEditorElegirPresupuestosCliente, 'EditorElegirPresupuestosCliente');
  EditorRegistry.RegisterClass(TfEditorElegirArticulosPresupuestoCliente, 'EditorElegirArticulosPresupuestosCliente');
  EditorRegistry.RegisterClass(TfEditorPresupuestosClientePreview, 'EditorPresupuestosClientePreview');
  EditorRegistry.RegisterClass(TfEditorVariarPrecios, 'EditorVariarPrecios');
  EditorRegistry.RegisterClass(TfDialogListaPresupuestosEnvioEMail, 'DialogListaPresupuestosEnvioEMail');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorPresupuestosCliente);
  EditorRegistry.UnRegisterClass(TfEditorPresupuestoCliente);
  EditorRegistry.UnRegisterClass(TfEditorElegirPresupuestosCliente);
  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosPresupuestoCliente);
  EditorRegistry.UnRegisterClass(TfEditorPresupuestosClientePreview);
  EditorRegistry.UnRegisterClass(TfEditorVariarPrecios);
  EditorRegistry.UnRegisterClass(TfDialogListaPresupuestosEnvioEMail);
end;

end.

